DBObjectTranslator
Date: 2013-11-30

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.lexicalmatcher.analysis.guesser.data
Class DBObjectTranslator

    java.lang.Object
      org.gcube.contentmanagement.lexicalmatcher.analysis.guesser.data.DBObjectTranslator

    public class DBObjectTranslator

extends java.lang.Object

Field Summary
`java.util.ArrayList<Category>` | `categories`
`java.util.ArrayList<RelationEdge>` | `relations`
`java.math.BigInteger` | `totalCatElements`
`java.math.BigInteger` | `totalEntries`
`java.math.BigInteger` | `totalRelationElements`

Constructor Summary
`DBObjectTranslator()`

Method Summary
`void` | `buildCategories(SessionFactory dbSession, java.lang.String referenceTable, java.lang.String referenceColumn, java.lang.String idColumn, java.lang.String nameHuman, java.lang.String description)`
`void` | `buildCategoriesStructure(SessionFactory dbSession, java.lang.String referenceTable, java.lang.String referenceColumn, java.lang.String idColumn, java.lang.String nameHuman, java.lang.String description)`
`void` | `buildRelationsEdges(SessionFactory dbSession)`
`void` | `buildWholeStructure(SessionFactory dbSession, java.lang.String referenceTable, java.lang.String referenceColumn, java.lang.String idColumn, java.lang.String nameHuman, java.lang.String description)`
`void` | `calculateCategoriesWeights(SessionFactory dbSession)`
`void` | `calculateRelationWeights(SessionFactory dbSession)`
`java.math.BigInteger` | `calculateTotalEntries(SessionFactory dbSession, java.lang.String timeSeriesName, java.lang.String timeSeriesColumn)`
`Category` | `getCategoryfromIndex(java.lang.String index)`
`static void` | `main(java.lang.String[] args)`
`void` | `populateRelationWithCategories()`
`java.util.ArrayList<Entry>` | `retrieveEntries(SessionFactory dbSession, java.lang.String timeSeriesName, java.math.BigInteger min, int numberOfElements)`
`java.util.ArrayList<java.lang.String>` | `retrieveTimeSeriesEntries(SessionFactory dbSession, java.lang.String timeSeriesName, java.lang.String timeSeriesColumn, java.math.BigInteger min, int numberOfElements)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### relations

    public java.util.ArrayList<RelationEdge> relations

### categories

    public java.util.ArrayList<Category> categories

### totalEntries

    public java.math.BigInteger totalEntries

### totalCatElements

    public java.math.BigInteger totalCatElements

### totalRelationElements

    public java.math.BigInteger totalRelationElements

Constructor Detail

### DBObjectTranslator

    public DBObjectTranslator()

Method Detail

### main

    public static void main(java.lang.String[] args)

### calculateTotalEntries

    public java.math.BigInteger calculateTotalEntries(SessionFactory dbSession,
                                                      java.lang.String timeSeriesName,
                                                      java.lang.String timeSeriesColumn)

### retrieveTimeSeriesEntries

    public java.util.ArrayList<java.lang.String> retrieveTimeSeriesEntries(SessionFactory dbSession,
                                                                           java.lang.String timeSeriesName,
                                                                           java.lang.String timeSeriesColumn,
                                                                           java.math.BigInteger min,
                                                                           int numberOfElements)

### retrieveEntries

    public java.util.ArrayList<Entry> retrieveEntries(SessionFactory dbSession,
                                                      java.lang.String timeSeriesName,
                                                      java.math.BigInteger min,
                                                      int numberOfElements)

### buildRelationsEdges

    public void buildRelationsEdges(SessionFactory dbSession)

### buildCategories

    public void buildCategories(SessionFactory dbSession,
                                java.lang.String referenceTable,
                                java.lang.String referenceColumn,
                                java.lang.String idColumn,
                                java.lang.String nameHuman,
                                java.lang.String description)

### getCategoryfromIndex

    public Category getCategoryfromIndex(java.lang.String index)

### populateRelationWithCategories

    public void populateRelationWithCategories()

### calculateRelationWeights

    public void calculateRelationWeights(SessionFactory dbSession)

### calculateCategoriesWeights

    public void calculateCategoriesWeights(SessionFactory dbSession)

### buildCategoriesStructure

    public void buildCategoriesStructure(SessionFactory dbSession,
                                         java.lang.String referenceTable,
                                         java.lang.String referenceColumn,
                                         java.lang.String idColumn,
                                         java.lang.String nameHuman,
                                         java.lang.String description)

### buildWholeStructure

    public void buildWholeStructure(SessionFactory dbSession,
                                    java.lang.String referenceTable,
                                    java.lang.String referenceColumn,
                                    java.lang.String idColumn,
                                    java.lang.String nameHuman,
                                    java.lang.String description)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD